portal = context.getPortalObject()

if project_relation == 'context':
  project = context
elif project_relation == 'follow_up':
  project = context.getFollowUpValue()
elif project_relation == 'destination_project':
  project = context.getDestinationProjectValue()
else:
  raise ValueError('Unexpected project relation: %s' % project_relation)

if project is None:
  return None

project_reference = project.getReference()

member = portal.portal_membership.getAuthenticatedMember()
getGroups = getattr(member, 'getGroups', None)
if getGroups is not None:
  user_group_list = getGroups()
  return (project.getValidationState() == 'validated') and (
    ((manager) and ('%s_F-PRODMAN' % project_reference in user_group_list)) or
    ((agent) and ('%s_F-PRODAGNT' % project_reference in user_group_list)) or
    ((customer) and ('%s_F-CUSTOMER' % project_reference in user_group_list))
  )
return False
