from Products.ERP5Type.Message import translateString
from Products.ERP5Type.Errors import UnsupportedWorkflowMethod

portal = context.getPortalObject()
software_product = context

software_release = portal.software_release_module.newContent(
  title='%s - %s' % (software_product.getTitle(), version),
  reference=software_product.getReference(),
  url_string=url_string,
  url_protocol='http',
  version=version,
  language='en',
  effective_date=effective_date,
  aggregate_value=software_product,
  follow_up_value=software_product.getFollowUpValue()
)

try:
  software_release.share()
except UnsupportedWorkflowMethod:
    # Agent can not share a software release
  software_release.submit()

return software_release.Base_redirect(
  keep_items={
    'portal_status_message': translateString('New Software Release created.')
  })
